INCLUDES = $(all_includes) -I$(kde_includes)/ksplash

kde_module_LTLIBRARIES = ksplashmoodin.la

ksplashmoodin_la_SOURCES = thememoodin.cpp effectwidget.cpp cache.cpp magiclabel.cpp scaler.cpp
ksplashmoodin_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) -ltdefx
ksplashmoodin_la_LIBADD  = $(LIB_TDEUI) -lksplashthemes

METASOURCES = AUTO

noinst_HEADERS 	= thememoodin.h effectwidget.h cache.h magiclabel.h scaler.h

servicesdir = $(kde_servicesdir)
services_DATA = ksplashmoodin.desktop

themeArchitecturedir = $(kde_datadir)/ksplash/Themes/Architecture
themeArchitecture_DATA = themes/Architecture/*
themeFingerPrintdir = $(kde_datadir)/ksplash/Themes/FingerPrint
themeFingerPrint_DATA = themes/FingerPrint/*
themeMoodinKDEdir = $(kde_datadir)/ksplash/Themes/MoodinKDE
themeMoodinKDE_DATA = themes/MoodinKDE/*
